@layer utility;

/* * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;

  outline: 1px solid #f73;
} */

:root {
  --color-primary: #ae0000;
  --color-secondary: #EFEFEF;
  --color-black: #000000;
  --color-light: #949494;

  --txt-xl: 128px;
  --txt-lg: 40px;
  --txt-base: 32px;
  --txt-sm: 24px;
  --txt-xs: 20px;
}

html, body {
  font-family: 'Castoro', serif;
  line-height: 1.5;
  font-size: var(--txt-base);
}


.container {
  max-width: 1296px;
  margin: 0 auto;
}

a:hover {
  color: var(--color-light);
}

img:hover, a:hover {
  opacity: 0.9;
}

.w-half {
  width: 50%;
}

.size-16 {
  width: 64px;
  height: 64px;
}

.bg-secondary {
  background: var(--color-secondary);
}

.bg-black {
  background: var(--color-black);
}


.py-3 {
  padding-top: 48px;
  padding-bottom: 48px;
}

.py-4 {
  padding-top: 64px;
  padding-bottom: 64px;
}

.py-20 {
  padding-top: 80px;
  padding-bottom: 80px;
}

.pt-10 {
  padding-top: 160px;
}

.mb-2 {
  margin-bottom: 8px;
}

.mb-4 {
  margin-bottom: 16px;
}

.mb-6 {
  margin-bottom: 24px;
}

.mb-8 {
  margin-bottom: 32px;
}

.mb-20 {
  margin-bottom: 80px;
}

.mr-10 {
  margin-right: 40px;
}


.fz-header {
  font-size: var(--txt-xl);
  letter-spacing: 0.12em;
}

.font-sm {
  font-size: var(--txt-sm);
}

/* end of base */

/* .flex {
  display: flex;
}

.justify-center {
  justify-content: center;
} */

@layer utility {
  .mx-auto {
    margin: 0 auto;
  }

  .ml-auto {
    margin-left: auto;
  }

  .inline-block {
    display: inline-block;
  }

  .text-right {
    text-align: right;
  }

  .text-center {
    text-align: center;
  }
}

/* end of utility */


.header-img {
  width: 636px;
  height: 848px;
}

/* end of header */

/* .cv-title {
  font-size: var(--txt-lg);
  border-bottom: 3px solid var(--color-primary);

  color: var(--color-primary);
} */

/* padding-top: 16px;
padding-bottom: 32px; */
/* .cv-txt {
  font-size: var(--txt-sm);
} */

.cv {
  .cv-title {
    font-size: var(--txt-lg);
    border-bottom: 3px solid var(--color-primary);

    color: var(--color-primary);
  }

  .cv-txt-year {
    font-size: var(--txt-xs);
    font-style: italic;
    color: var(--color-light);
  }
}

/* end of main */

/* .sns-list {
  gap: 40px;
} */

/* .sns-list li {
  margin-right: 40px;
} */

.sns-list img:hover {
  animation: jump 1s infinite;
}

@keyframes jump {
  0% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-16px);
  }

  100% {
    transform: translateY(0);
  }
}